Error when deploying

Hey guys, I am making a test with Vapid but whenever I try to deploy the test site, I get this massive error. And I cannot figure out how to solve it.

I haven’t touched anything from the initial files.

It just stops the process and I have to escape with Ctrl + C.

Things I tried:

  • Installing flatpickr separately, through yarn.

My Node ver: 10.16.3

This is the error:

$ C:\Sonneil-Proyectos\VapidTest\node_modules.bin\vapid deploy vapid-test
==> Please enter your Vapid credentials, or visit vapid.com to signup.
? Email: (node:15984) [SEQUELIZE0003] DeprecationWarning: String based operators are deprecated. Please use Symbol based operators for better security, read more at https://sequelize.org/master/manual/querying.html#operators
× 「wdm」: Hash: 1b72748780cfe705d611
Version: webpack 4.40.2
Time: 1557ms
Built at: 2019-09-20 11:36:38 AM
Asset Size Chunks Chunk Names
dashboard\javascripts\dashboard.js 333 KiB dashboard\javascripts\dashboard [emitted] dashboard\javascripts\dashboard
dashboard\javascripts\dashboard.js.map 377 KiB dashboard\javascripts\dashboard [emitted] [dev] dashboard\javascripts\dashboard
dashboard\stylesheets\dashboard.js.map 3.53 KiB dashboard\stylesheets\dashboard [emitted] [dev] dashboard\stylesheets\dashboard
javascripts\site.js 4.88 KiB javascripts\site [emitted] javascripts\site
javascripts\site.js.map 4.08 KiB javascripts\site [emitted] [dev] javascripts\site
stylesheets\site.css 2.63 KiB stylesheets\site [emitted] stylesheets\site
stylesheets\site.css.map 6.66 KiB stylesheets\site [emitted] [dev] stylesheets\site
stylesheets\site.js.map 3.67 KiB stylesheets\site [emitted] [dev] stylesheets\site
Entrypoint dashboard\javascripts\dashboard = dashboard\javascripts\dashboard.js dashboard\javascripts\dashboard.js.map
Entrypoint dashboard\stylesheets\dashboard = dashboard\stylesheets\dashboard.js dashboard\stylesheets\dashboard.js.map
Entrypoint javascripts\site = javascripts\site.js javascripts\site.js.map
Entrypoint stylesheets\site = stylesheets\site.css stylesheets\site.js stylesheets\site.css.map stylesheets\site.js.map
[0] multi ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js 28 bytes {dashboard\javascripts\dashboard} [built]
[1] multi ./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss 28 bytes {dashboard\stylesheets\dashboard} [built]
[2] multi ./vapid-test/www/javascripts/site.pack.js 28 bytes {javascripts\site} [built]
[3] multi ./vapid-test/www/stylesheets/site.pack.scss 28 bytes {stylesheets\site} [built]
[] css ./node_modules/css-loader/dist/cjs.js??ref–4-1!./node_modules/sass-loader/dist/cjs.js??ref–4-2!./node_modules/resolve-url-loader!./vapid-test/www/stylesheets/site.pack.scss 2.6 KiB {stylesheets\site}
[…/…/…/…/vapid-test/www/javascripts/site.pack.js] ./vapid-test/www/javascripts/site.pack.js 423 bytes {javascripts\site} [built]
[…/…/…/…/vapid-test/www/stylesheets/site.pack.scss] ./vapid-test/www/stylesheets/site.pack.scss 39 bytes {stylesheets\site} [built]
[…/assets/dashboard/javascripts/dashboard.pack.js] ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js 678 bytes {dashboard\javascripts\dashboard} [built]
[…/assets/dashboard/javascripts/dashboard/ace.js] ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/ace.js 506 bytes {dashboard\javascripts\dashboard} [built]
[…/assets/dashboard/javascripts/dashboard/autosave.js] ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/autosave.js 352 bytes {dashboard\javascripts\dashboard} [built]
[…/assets/dashboard/javascripts/dashboard/datepicker.js] ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/datepicker.js 401 bytes {dashboard\javascripts\dashboard} [built]
[…/assets/dashboard/javascripts/dashboard/hideMessage.js] ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/hideMessage.js 120 bytes {dashboard\javascripts\dashboard} [built]
[…/assets/dashboard/javascripts/dashboard/range.js] ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/range.js 164 bytes {dashboard\javascripts\dashboard} [built]
[…/assets/dashboard/javascripts/dashboard/semantic.js] ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/semantic.js 177 bytes {dashboard\javascripts\dashboard} [built]
[…/assets/dashboard/stylesheets/dashboard.pack.scss] ./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss 3.02 KiB {dashboard\stylesheets\dashboard} [built] [failed] [1 error]
+ 7 hidden modules

ERROR in ./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss
Module build failed (from C:/Sonneil-Proyectos/VapidTest/node_modules/mini-css-extract-plugin/dist/loader.js):
ModuleBuildError: Module build failed (from C:/Sonneil-Proyectos/VapidTest/node_modules/sass-loader/dist/cjs.js):

@import “~flatpickr/dist/flatpickr.min”;
^
Can’t find stylesheet to import.

29 │ @import “~flatpickr/dist/flatpickr.min”;
│ ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

stdin 29:9 root stylesheet
in C:\Sonneil-Proyectos\VapidTest\node_modules@vapid\cli\assets\dashboard\stylesheets\dashboard.pack.scss (line 29, column 9)
at runLoaders (C:\Sonneil-Proyectos\VapidTest\node_modules\webpack\lib\NormalModule.js:315:20)
at C:\Sonneil-Proyectos\VapidTest\node_modules\loader-runner\lib\LoaderRunner.js:367:11
at C:\Sonneil-Proyectos\VapidTest\node_modules\loader-runner\lib\LoaderRunner.js:233:18
at context.callback (C:\Sonneil-Proyectos\VapidTest\node_modules\loader-runner\lib\LoaderRunner.js:111:13)
at render (C:\Sonneil-Proyectos\VapidTest\node_modules\sass-loader\dist\index.js:89:7)
at Function.call$2 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:53540:16)
at _render_closure1.call$2 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:33339:12)
at _RootZone.runBinary$3$3 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:19690:18)
at _RootZone.runBinary$3 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:19694:19)
at _FutureListener.handleError$1 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:18159:19)
at _Future__propagateToListeners_handleError.call$0 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:18447:40)
at Object._Future__propagateToListeners (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:3484:88)
at _Future._completeError$2 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:18283:9)
at _AsyncAwaitCompleter.completeError$2 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:17682:12)
at Object._asyncRethrow (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:3240:17)
at C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:10468:20
at _wrapJsFunctionForAsync_closure.$protected (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:3263:15)
at _wrapJsFunctionForAsync_closure.call$2 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:17703:12)
at _awaitOnObject_closure0.call$2 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:17695:25)
at _RootZone.runBinary$3$3 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:19690:18)
at _RootZone.runBinary$3 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:19694:19)
at _FutureListener.handleError$1 (C:\Sonneil-Proyectos\VapidTest\node_modules\sass\sass.dart.js:18159:19)
@ multi ./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss dashboard\stylesheets\dashboard[0]

ERROR in ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/ace.js
Module not found: Error: Can’t resolve ‘ace-builds’ in ‘C:\Sonneil-Proyectos\VapidTest\node_modules@vapid\cli\assets\dashboard\javascripts\dashboard’
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/ace.js 1:0-21
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js
@ multi ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js

ERROR in ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/datepicker.js
Module not found: Error: Can’t resolve ‘flatpickr’ in ‘C:\Sonneil-Proyectos\VapidTest\node_modules@vapid\cli\assets\dashboard\javascripts\dashboard’
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/datepicker.js 1:18-38
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js
@ multi ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js

ERROR in ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js
Module not found: Error: Can’t resolve ‘jquery’ in ‘C:\Sonneil-Proyectos\VapidTest\node_modules@vapid\cli\assets\dashboard\javascripts’
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js 1:15-32
@ multi ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js

ERROR in ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/wysiwyg.js
Module not found: Error: Can’t resolve ‘quill’ in ‘C:\Sonneil-Proyectos\VapidTest\node_modules@vapid\cli\assets\dashboard\javascripts\dashboard’
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard/wysiwyg.js 1:14-30
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js
@ multi ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js

ERROR in ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js
Module not found: Error: Can’t resolve ‘turbolinks’ in ‘C:\Sonneil-Proyectos\VapidTest\node_modules@vapid\cli\assets\dashboard\javascripts’
@ ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js 4:19-40
@ multi ./node_modules/@vapid/cli/assets/dashboard/javascripts/dashboard.pack.js
Child mini-css-extract-plugin node_modules/css-loader/dist/cjs.js??ref–4-1!node_modules/sass-loader/dist/cjs.js??ref–4-2!node_modules/resolve-url-loader/index.js!node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss:
Entrypoint mini-css-extract-plugin = *
[…/…/…/css-loader/dist/cjs.js?!../…/…/sass-loader/dist/cjs.js?!../…/…/resolve-url-loader/index.js!../assets/dashboard/stylesheets/dashboard.pack.scss] ./node_modules/css-loader/dist/cjs.js??ref–4-1!./node_modules/sass-loader/dist/cjs.js??ref–4-2!./node_modules/resolve-url-loader!./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss 508 bytes {mini-css-extract-plugin} [built] [failed] [1 warning] [1 error]

WARNING in ./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss (./node_modules/css-loader/dist/cjs.js??ref--4-1!./node_modules/sass-loader/dist/cjs.js??ref--4-2!./node_modules/resolve-url-loader!./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss)
Module Warning (from C:/Sonneil-Proyectos/VapidTest/node_modules/resolve-url-loader/index.js):
(Emitted value instead of an instance of Error)   resolve-url-loader cannot operate: CSS error
  C:\Sonneil-Proyectos\VapidTest\node_modules\@vapid\cli\assets\dashboard\stylesheets\dashboard.pack.scss:29:41: missing '{'
  at error (C:\Sonneil-Proyectos\VapidTest\node_modules\css\lib\parse\index.js:62:15)

ERROR in ./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss (./node_modules/css-loader/dist/cjs.js??ref--4-1!./node_modules/sass-loader/dist/cjs.js??ref--4-2!./node_modules/resolve-url-loader!./node_modules/@vapid/cli/assets/dashboard/stylesheets/dashboard.pack.scss)
Module build failed (from C:/Sonneil-Proyectos/VapidTest/node_modules/sass-loader/dist/cjs.js):

@import "~flatpickr/dist/flatpickr.min";
       ^
      Can't find stylesheet to import.
   ╷
29 │ @import "~flatpickr/dist/flatpickr.min";
   │         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
   ╵
  stdin 29:9  root stylesheet
      in C:\Sonneil-Proyectos\VapidTest\node_modules\@vapid\cli\assets\dashboard\stylesheets\dashboard.pack.scss (line 29, column 9)

Child mini-css-extract-plugin node_modules/css-loader/dist/cjs.js??ref–4-1!node_modules/sass-loader/dist/cjs.js??ref–4-2!node_modules/resolve-url-loader/index.js!vapid-test/www/stylesheets/site.pack.scss:
Entrypoint mini-css-extract-plugin = *
[…/…/…/css-loader/dist/cjs.js?!../…/…/sass-loader/dist/cjs.js?!../…/…/resolve-url-loader/index.js!../…/…/…/vapid-test/www/stylesheets/site.pack.scss] ./node_modules/css-loader/dist/cjs.js??ref–4-1!./node_modules/sass-loader/dist/cjs.js??ref–4-2!./node_modules/resolve-url-loader!./vapid-test/www/stylesheets/site.pack.scss 10 KiB {mini-css-extract-plugin} [built] [1 warning]
[…/…/…/css-loader/dist/runtime/api.js] ./node_modules/css-loader/dist/runtime/api.js 2.61 KiB {mini-css-extract-plugin} [built]

WARNING in ./vapid-test/www/stylesheets/site.pack.scss (./node_modules/css-loader/dist/cjs.js??ref--4-1!./node_modules/sass-loader/dist/cjs.js??ref--4-2!./node_modules/resolve-url-loader!./vapid-test/www/stylesheets/site.pack.scss)
Module Warning (from C:/Sonneil-Proyectos/VapidTest/node_modules/resolve-url-loader/index.js):
(Emitted value instead of an instance of Error)   resolve-url-loader cannot operate: CSS error
  C:\Sonneil-Proyectos\VapidTest\vapid-test\www\stylesheets\site.pack.scss:27:3: missing '}'
  at error (C:\Sonneil-Proyectos\VapidTest\node_modules\css\lib\parse\index.js:62:15)

At first glance of your stack track I see the script is looking for a CSS that appears to be named incorrectly.

Can’t find stylesheet to import.
╷
29 │ @import “~flatpickr/dist/flatpickr.min”;
│ ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
╵

Shouldn’t the ~flatpickr/dist/flatpickr.min CSS file end in .css?

I’m not sure solving this will address the whole issue but it’s where I’d start my troubleshooting efforts.

Good luck!
_rs

@NanyThery What version of Vapid are you using?

vapid -v